apiVersion: v1
kind: Pod
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{},"labels":{"env":"prod"},"name":"nginx-pod-first","namespace":"default"},"spec":{"containers":[{"image":"nginx","name":"first-pod","ports":[{"containerPort":80}]}]}}
  creationTimestamp: "2023-09-21T15:55:34Z"
  labels:
    env: prod
  name: nginx-pod-first
  namespace: default
  resourceVersion: "33440"
  uid: d2f34441-9749-4060-b6fe-3ac1d68b99b3
spec:
  containers:
  - image: nginx
    imagePullPolicy: Always
    name: first-pod
    ports:
    - containerPort: 80
      protocol: TCP
    resources: {}
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-gzdzj
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: w
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: kube-api-access-gzdzj
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2023-09-21T15:55:34Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2023-09-21T15:55:39Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2023-09-21T15:55:39Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2023-09-21T15:55:34Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: containerd://89c50b222d7288217afefcf7f755adba209b249a7b22262fae640f9f1379c101
    image: docker.io/library/nginx:latest
    imageID: docker.io/library/nginx@sha256:32da30332506740a2f7c34d5dc70467b7f14ec67d912703568daff790ab3f755
    lastState: {}
    name: first-pod
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2023-09-21T15:55:38Z"
  hostIP: 192.168.1.205
  phase: Running
  podIP: 10.244.1.4
  podIPs:
  - ip: 10.244.1.4
  qosClass: BestEffort
  startTime: "2023-09-21T15:55:34Z"
